/********************************************************************************
  $Header: /home/farin/cvs/libvideocoding/libvideocoding/dct/idct_mmx.hh,v 1.3 2002/05/02 17:24:52 farin Exp $

    Accurate floating-point implementation of 8x8 DCT.
 ********************************************************************************
    Copyright (C) 2000 Dirk Farin (see the README for complete list of authors)

    This program is distributed under GNU Public License (GPL) as
    outlined in the COPYING file that comes with the source distribution.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ********************************************************************************/

#ifndef LIBVIDEOCODING_DCT_IDCT_MMX_HH
#define LIBVIDEOCODING_DCT_IDCT_MMX_HH

#include <libvideocoding/dct/dct.hh>

namespace videocoding {

  class IDCTBlk_MMX8 : public IDCTBlk8x8<Pixel>
  {
  public:
    void CalcIDCT(Pixel* out,int out_stride,const DCTBlock_8x8&,bool add);
    const char* Name() const { return "MMX IEEE1180 compliant"; }
  };

}

#endif

